org.deidentifier.arx.gui.view.impl.explore

## Class ViewLattice

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.explore.ViewSolutionSpace
  - - org.deidentifier.arx.gui.view.impl.explore.ViewLattice

All Implemented Interfaces:
  IView

    public class ViewLattice
    extends ViewSolutionSpace

This class implements a view of a lattice.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ViewLattice(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes the view.
`void` `reset()` Resets the view.

### Methods inherited from class org.deidentifier.arx.gui.view.impl.explore.ViewSolutionSpace

`update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewLattice

    public ViewLattice(org.eclipse.swt.widgets.Composite parent,
                       Controller controller)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -

### Method Detail

#### dispose

    public void dispose()

Description copied from interface: `IView`
Disposes the view.

Specified by:
  `dispose` in interface `IView`
Overrides:
  `dispose` in class `ViewSolutionSpace`

#### reset

    public void reset()

Resets the view.

Specified by:
  `reset` in interface `IView`
Overrides:
  `reset` in class `ViewSolutionSpace`